Summary: HTTP server daemon to provide WWW services on port 80
Name: apache
Version: 1.3.3
Release: 1C2
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{PACKAGE_VERSION}.tar.gz
Source1: apache.log
Source2: srm.conf-1.3
Source3: httpd.conf-1.3
Source4: access.conf-1.3
Patch0: apache_%{PACKAGE_VERSION}-cobalt.patch
BuildRoot: /tmp/apache-root
URL: http://www.apache.org/

%description
The Apache web server is the best free web server available in the UNIX
world today. It uses HTTP (HyperText Transfer Protocol) to allow web
browsers to view documents and submit data remotely.  It has the ability
to perform a number of different functions, including proxying and
caching, and offers features such as a status monitor, dynamic type
conversion, and more. 

%changelog
* Thu Oct 15 1998 Aaron Fosdick <aaron@cobaltnet.com>
 - updated to use version 1.3.3
 - apache-cobalt patchfile modified to work better with version changes
 - no content changed in patchfile, diffs are the same

* Wed Aug 12 1998 Duncan Laurie <duncan@cobaltnet.com>
  - fixed web LED blinking code

* Wed Aug 05 1998 Duncan Laurie <duncan@cobaltnet.com>
  - upgraded to 1.3.1

* Wed Jul 29 1998 Timothy Stonis <tim@cobaltmicro.com>
  -Added LED blinking code.

* Tue Jul 28 1998 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - 1.3.0-1C3
  - Remove unused files and directories

* Fri Jul 3 1998 Timothy Stonis <tim@cobaltnet.com>
  -Removing mime.types and putting in another rpm

* Thu Jul 2 1998 Timothy Stonis <tim@cobaltmicro.com>
  -Fixing version number to follow Cobalt convention
  -Fixing access.conf and srm.conf (more to come)

* Wed Jun 10 1998 Aaron Fosdick <aaron@cobaltmicro.com>
  - Initial release of 1.3.0 - see configure tags below
  - new patch file - standard gendiff on .orig files
  - new source paths for httpd.8 htpasswd.8
  - added install for htpasswd exec
  - for now, .conf files are raq specific - they belong in another rpm


* Sat Apr 25 1998 Andrew Bose <andrew@cobaltmicro.com>
  - 1.2.5-7 
  - removed httpd.init (put into initscripts-cobalt 1.0-5) 

* Sat Feb 28 1998 Timothy Stonis <tim@cobaltmicro.com>
 -Added -HUP to log postrotate.

* Tue Feb 24 1998 Timothy Stonis <tim@cobaltmicro.com>
 -Added /images/ /home/httpd/html/images/ alias.

* Fri Feb 20 1998 Timothy Stonis <tim@cobaltmicro.com>
 -Changed location of error documents so that when server is in secure
  mode where outside people can't get access, they get the pretty 
  authorization required page.`
  

* Wed Feb 18 1998 Timothy Stonis <tim@cobaltmicro.com>
 -Removed webusage alias
 -Added /programs/ alias
 -Added ErrorDocuments for 404, 401, 500, and 403

* Tue Feb 10 1998 Timothy Stonis <tim@cobaltmicro.com>
 -Added cgi-wrapper support in srm.conf
 -Added missing document handler in srm.conf

* Wed Feb 5 1998 Timothy Stonis <tim@cobaltmicro.com>
 -Initial creation of 1.2.5 server.

%prep 
%setup -n apache_%{PACKAGE_VERSION}

%patch0 -p1

%build
./configure \
 --exec-prefix=/usr/sbin \
 --sysconfdir=/etc/httpd/conf \
 --logfiledir=/var/log/httpd \
 --localstatedir=/var/run \
 --runtimedir=/var/run \
 --mandir=/usr/man \
 --bindir=/usr/sbin \
 --sbindir=/usr/sbin \
 --includedir=/usr/include/apache

make OPTIM="-DCOBALT_LED -O2 -fomit-frame-pointer" -C src LIBS="-lcrypt -ldb" 
cd src/support
make

%install
rm -rf $RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT/home/httpd/{html,cgi-bin,sbin}
#mkdir -p $RPM_BUILD_ROOT/home/httpd/html/icons
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,8}
mkdir -p $RPM_BUILD_ROOT/var/spool/proxy
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc{0,1,3,5,6}.d}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/log/httpd
ln -sf /var/log/httpd $RPM_BUILD_ROOT/etc/httpd/logs

cp conf/* $RPM_BUILD_ROOT/etc/httpd/conf
#cp cgi-bin/* $RPM_BUILD_ROOT/home/httpd/cgi-bin

install -m755 -s src/httpd $RPM_BUILD_ROOT/usr/sbin
install -m755 -s src/support/htpasswd $RPM_BUILD_ROOT/usr/sbin/htpasswd

#for f in htdigest htpasswd rotatelogs log_server_status httpd_monitor \
#logresolve dbmmanage dbmmanage.new; do
#	install -m755 -s support/$f $RPM_BUILD_ROOT/usr/sbin
#done

install -m644 src/support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 src/support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1

#cp $RPM_SOURCE_DIR/index.html $RPM_BUILD_ROOT/home/httpd/html
#cp $RPM_SOURCE_DIR/poweredby.gif $RPM_BUILD_ROOT/home/httpd/icons
#cp -a htdocs/manual $RPM_BUILD_ROOT/home/httpd/html/manual
#cp icons/* $RPM_BUILD_ROOT/home/httpd/html/icons

#install -m755 $RPM_SOURCE_DIR/httpd.init \
#	$RPM_BUILD_ROOT/etc/rc.d/init.d

#for I in 0 1 6; do
#	ln -sf ../init.d/httpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K25httpd
#done
#for I in 3 5; do
#	ln -sf ../init.d/httpd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S70httpd
#done

#install -s src/support/suexec $RPM_BUILD_ROOT/usr/sbin

install -m644 $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache

# This is split out and installed in a machine specific RPM
#install -m644 $RPM_SOURCE_DIR/srm.conf.raq $RPM_BUILD_ROOT/etc/httpd/conf/srm.conf
#install -m644 $RPM_SOURCE_DIR/access.conf.raq $RPM_BUILD_ROOT/etc/httpd/conf/access.conf
#install -m644 $RPM_SOURCE_DIR/httpd.conf.raq $RPM_BUILD_ROOT/etc/httpd/conf/httpd.conf
#cp -a $RPM_SOURCE_DIR/README.suEXEC .

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
#%attr(-,root,root) %config /etc/httpd/conf/*.conf
%attr(-,root,root) %config /etc/logrotate.d/apache
%attr(-,root,root) %dir /etc/httpd
#%attr(-,root,root) %dir /etc/httpd/conf
#%attr(-,root,root) %dir /home/httpd
#%attr(-,root,root) /etc/rc.d/init.d/*
%attr(-,root,root) /etc/httpd/logs
#%attr(-,root,root) /etc/rc.d/rc*/*
%attr(-,root,root) /usr/sbin/httpd
#%attr(-,root,root) /usr/sbin/rotatelogs
#%attr(-,root,root) /usr/sbin/logresolve
#%attr(-,root,root) /usr/sbin/log_server_status
#%attr(-,root,root) /usr/sbin/dbmmanage
#%attr(-,root,root) /usr/sbin/dbmmanage.new
%attr(-,root,root) /usr/sbin/htpasswd
#%attr(-,root,root) /usr/sbin/htdigest
%attr(-,root,root) /usr/man/man1/htpasswd.1
#%attr(-,root,root) /usr/man/man8/httpd.8
%attr(-,root,root) %dir /var/log/httpd
#%attr(-,root,root) %dir /home/httpd/html/icons
#%files doc
#%attr(-,root,root) %docdir /home/httpd/html/manual
#%attr(-,root,root) /home/httpd/html/manual

#%files suexec
#%attr(-,root,root) %doc README.suEXEC support/suexec.[ch]
#%attr(4711,root,root) /home/httpd/sbin/suexec







